/* colors
#f24640: dark
tomato: med dark
burlywood: med light
#eae4d0: lighter
#eef9c9: lightest
 */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Calibri", sans-serif;
}



.sidenav {
  height: 100%;
  width: 150px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: burlywood;
  overflow-x: hidden;
  padding-top: 32px;
}
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 20px;
  color: brown;
  display: block;
}
.sidenav a:hover {
  color: #f1f1f1;
}

.home-page {
  line-height: 1.6;
  margin: 0 auto 50px auto;
  max-width: 750px;
  color: #444;
  background-color: #eeeeee;
}
#main {
  margin-left: 150px;
  padding: 30px;
}

#pantry-tables {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}


.pantry-table {
  border-collapse: collapse;
  min-width: 200px;
  margin: 25px 25px;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
}
.pantry-table thead {
  text-align: left;
  background-color: tomato;
  color: #eef9c9;
}
.pantry-table th, td {
  padding: 12px 15px;
}
.pantry-table tbody tr {
  border-bottom: 1px solid #dddddd;
  border-left: 1px solid #dddddd;
}
.pantry-table tbody tr:nth-child(even) {
  background-color: #f3f3f3;
}
.pantry-table tbody tr:nth-child(odd) {
  background-color: white;
}
.pantry-table tbody tr:hover {
  background-color: #eef9a9;
}
.pantry-table tbody tr:last-child {
  border-bottom: 2px solid tomato;
}
.pantry-table a {
  text-decoration: none;
}
.pantry-table a:hover {
  cursor: pointer;
  color: tomato;
  font-weight: bolder;
}
.table-btn {
  text-align: center;
}

.new-button {
  margin: 25px 25px;
  padding: 18px;
  border: 1px solid black;
  border-radius: 15px;
  overflow: hidden;
  background-color: #eae4d0;
  width: 33%;
  box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, .15);
  text-align: center;
  font-size: larger;
}
.new-button:hover {
  box-shadow: none;
  background-color: #eae4a0;
  cursor: pointer;
}
.new-button a {
  color: #444;
  text-decoration: none;
}


div.form-grid form p {
  display: grid;
  grid-template-columns: 200px 300px;
  padding: 8px;
}
div.form-grid form p input,
textarea {
  border: 1px solid black;
}
footer {
  padding: 12px;
  border: 1px solid black;
  background-color: tomato;
}
